PATCH
/api/public/v1/appointment-services/{serviceId}

Update appointment service

Update one or more fields on a service.

Path Parameters

NameTypeRequiredDescription
serviceIdstring
Required
Service ID.

Request Body

PropertyTypeDescription
namestringService name.
descriptionstringDescription.
durationnumberDuration in minutes.
pricenumberPrice in cents.
isActivebooleanWhether bookable.
PATCHExample request
curl
curl -X PATCH "https://www.pxb.app/api/public/v1/appointment-services/{serviceId}" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "price": 6000,
    "isActive": false
  }'
200Example response
json
{
  "message": "Appointment service updated successfully!",
  "content": {
    "service": {
      "id": "svc_1"
    }
  }
}